Skip to main content

List Scopes

GET/v2/scopes
API version
v2
Request method
GET
Operation ID
extension-list-scopes

Request​

No request parameters.

Responses​

Format
application/json
Description

A list of possible scopes for the mStudio.

  • Array[
    • *object
      • namestringrequired
    ]
Content-Type: application/json

[
{
"name": "user:read"
}
]
{
"items": {
"properties": {
"name": {
"example": "user:read",
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/scopes
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.extensionListScopes({});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ExtensionListScopes\ExtensionListScopesRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ExtensionListScopesRequest());
$response = $client->marketplace()->extensionListScopes($request);

var_dump($response->getBody();

On this page